Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
search_n.hpp File Reference

## Functions
template<typename I , typename S , typename V , typename C = equal_to, typename P = identity>
subrange< I > | ranges::search_n (I first, S last, iter_difference_t< I > cnt, V const &val, C pred=C{}, P proj=P{})
| function template `search_n` More...
template<typename Rng , typename V , typename C = equal_to, typename P = identity>
borrowed_subrange_t< Rng > | ranges::search_n (Rng &&rng, iter_difference_t< iterator_t< Rng >> cnt, V const &val, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...